{ lib
, buildGoModule
, fetchFromGitHub
, installShellFiles
}:

let version = "2023-03-20"; in
buildGoModule {
  pname = "d2";
  inherit version;

  src = fetchFromGitHub {
    owner = "terrastruct";
    repo = "d2";
    rev = "d4e7b2c6b04433a1d48308961d311086de5c1495";
    sha256 = "sha256-Ff6f9syLZNsli/OGiqCjY/Zr1QrU79feyXoWPw/uKkk=";
  };

  vendorSha256 = "sha256-jfGolYHWX/9Zr5JHiWl8mCfaaRT2AU8v32PtgM1KI8c=";

  ldflags = [
    "-s"
    "-w"
    "-X oss.terrastruct.com/d2/lib/version.Version=${version}"
  ];

  nativeBuildInputs = [ installShellFiles ];

  patches = [ ];

  postInstall = "installManPage ci/release/template/man/d2.1";

  subPackages = [ "." ];
}
