{ lib
, poetry2nix
, fetchFromGitHub
, python310
}:

let
  poetryOverrides = poetry2nix.defaultPoetryOverrides.extend (full: prev: {
    nox = prev.nox.overridePythonAttrs (old: {
      buildInputs = old.buildInputs ++ [ prev.setuptools ];
    });
    pip-requirements-parser = prev.pip-requirements-parser.overridePythonAttrs (old: {
      dontConfigure = true;
    });
  });

  src = fetchFromGitHub {
    owner = "tweag";
    repo = "FawltyDeps";
    rev = "2f835e077504770146730cb19bbe611dbbec5be8";
    sha256 = "sha256-dPoH86BTb8OmbVOKcBPFIRijz1YbuJ4KbHlLu+bXI3U=";
  };
in
poetry2nix.mkPoetryApplication {
  version = "2023-03-27";
  python = python310;
  projectDir = "${src}";
  overrides = poetryOverrides;
}
